Page MenuHomePhabricator

[Bug] add Talossan (tzl) to Wikidata
Closed, ResolvedPublic

Description

It should be possible to add statements using the monolingual text datatype in Talossan (tzl) on Wikidata. For this it needs to be available in ULS.

Amir said that should be the case once https://gerrit.wikimedia.org/r/#/c/205891/ is deployed. It is live on test.wikidata.org but the language is not available in ULS.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 12:15 PM

The Talossan language is also not added to the Names.php file.
This bug will probably be solved and this request will be completed if the language is added to that file.
The line that needs to be added is:

	'tzl' => 'Talossan',	# Talossan

I am not sure how to add this line myself, so maybe somebody else can add this line for me.

Is this fixed?

Jonas renamed this task from add Talossan (tzl) to Wikidata to [Bug] add Talossan (tzl) to Wikidata.Aug 14 2015, 8:49 AM
Jonas set Security to None.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 10 2015, 3:47 PM
adrianheine reopened this task as Open.Feb 24 2016, 9:44 AM
adrianheine added a subscriber: adrianheine.

Hi, I'd like to add tzl to monolingual text according to the process I described on Help:Monolingual text languages. For that, could you please add a statement that would use tzl, use mis as language code, qualify using language (P2439) with Q1063911 as value and add a reference?

I added 4 statements which use mis instead of tzl, I qualified them using language (P2439) with Talossan (Q1063911) as value and I added references.

Hoi,
Thanks,

GerardM
Jonas raised the priority of this task from Normal to High.Oct 12 2016, 9:05 AM
jhsoby added a subscriber: jhsoby.Oct 23 2016, 5:54 PM

I'm sorry, but why do we need to support a language that was initially created for some 14-year-old's bedroom micronation? I fail to see how supporting this language will improve Wikimedia projects in general, or Wikidata in specific, in any meaningful way. Enabling this language doesn't further the Wikimedia mission at all, so I am opposed.

Hoi,
It does have a valid ISO-639-3 code. No problem here. I do not know how it
may become meaningful. It is an open question for several languages.
Thanks,

GerardM

Change 319320 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add Talossan (tzl) to Wikidata

https://gerrit.wikimedia.org/r/319320

Addshore moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.

Change 319320 merged by jenkins-bot:
Add Talossan (tzl) to Wikidata

https://gerrit.wikimedia.org/r/319320

Jonas closed this task as Resolved.Nov 3 2016, 12:27 PM